<?php

//Function for finding nth occurrence string position
function nthstrpos($haystack,$needle,$nth) {
$place = 0;
for ($i = 0; $i < $nth; $i++) {
	$place = strpos($haystack, $needle, $place+1);
}
return $place;
}


//Variables Declaration
$currenttime = mktime(date("H")+1);
$curday = date("l", $currenttime);
$curdate = date("m/d/Y", $currenttime);
if ($curday == 'Monday') {
	$curday = "&#36913;&#19968; " . $curday;
	$curnday = 1;
	}
elseif ($curday == 'Tuesday') {
	$curday = "&#36913;&#20108; " . $curday;
	$curnday = 2;
	}
elseif ($curday == 'Wednesday') {
	$curday = "&#36913;&#19977; " . $curday;
	$curnday = 3;
	}
elseif ($curday == 'Thursday') {
	$curday = "&#36913;&#22235; " . $curday;
	$curnday = 4;
	}
elseif ($curday == 'Friday') {
	$curday = "&#36913;&#20116; " . $curday;
	$curnday = 5;
	}
elseif ($curday == 'Saturday') {
	$curday = "&#36913;&#20845; " . $curday;
	$curnday = 6;
	}
else {
	$curnday = 6;
	}

$readweeklylist = file('devotionverses.txt');
if (($curday != 'Sunday') && !strstr($readweeklylist[$curnday],"*")) {

$wlist = fopen('devotionverses.txt', 'w');
$k = 0;
foreach ($readweeklylist as $line) {
	if (strstr($line,"*")) $line = str_replace("*","",$line);
	if ($k == $curnday) $line = "*" . $line;
	$k++;
	fwrite($wlist,$line);
	}
fclose($wlist);



// Read upper-cased citation(s) into array
$biblequotearray = explode(",", trim(strtoupper($readweeklylist[$curnday]),"\n"));


// Get verses according to each array item
for ($qc = 0; $biblequotearray[$qc]; $qc++) {
$biblequote = $biblequotearray[$qc];


// GENESIS 1:...
if (strstr($biblequote," ")) {
	$book = substr($biblequote,0,strpos($biblequote," "));
	$chapfrom = substr($biblequote,strpos($biblequote," ")+1,strpos($biblequote,":")-strpos($biblequote," ")-1);
	}
// 1:....
elseif (strstr($biblequote,":")) {
	$chapfrom = substr($biblequote,0,strpos($biblequote,":"));
	}
// 1-10 verses
else $chapfrom = $chapto;

// Test GENESIS 2:1-3:1 or 1:1-2:1
if (nthstrpos($biblequote,":",2)==0) {
	$chapto = $chapfrom;
		if (strstr($biblequote,"-")) {
			if (strstr($biblequote,":")) $versefrom = substr($biblequote,strpos($biblequote,":")+1,strpos($biblequote,"-")-strpos($biblequote,":")-1);
			else $versefrom = substr($biblequote,0,strpos($biblequote,"-"));
			$verseto = substr($biblequote,strpos($biblequote,"-")+1,strlen($biblequote)-strpos($biblequote,"-")-1);
			}
		else {
			if (strstr($biblequote,":")) $versefrom = substr($biblequote,strpos($biblequote,":")+1,strlen($biblequote)-strpos($biblequote,":")-1);
			else $versefrom = $biblequote;
			$verseto = $versefrom;
		}
	}
else {
	$chapto = substr($biblequote,strpos($biblequote,"-")+1,nthstrpos($biblequote,":",2)-strpos($biblequote,"-")-1);
	$verseto = substr($biblequote,nthstrpos($biblequote,":",2)+1,strlen($biblequote)-nthstrpos($biblequote,":",2)-1);
}


$readbible = file('tradbible.txt');
$totallines = count($readbible);


$i = 0;
while ($i < 73 && !strstr($readbible[$i], "|" . $book . "|")) {
$i++;
}
if ($i == 73) {
	echo "$biblequote: There's no such book! i=73" . $totallines . "Book = " . $book;
	exit;
}


// GET FULL BOOK NAME in English and Chinese
$bookname = substr($readbible[$i],nthstrpos($readbible[$i],'|',4)+1,nthstrpos($readbible[$i],'|',5)-nthstrpos($readbible[$i],'|',4)-1);
$cbookname = substr($readbible[$i],nthstrpos($readbible[$i],'|',1)+1,nthstrpos($readbible[$i],'|',2)-nthstrpos($readbible[$i],'|',1)-1);



//Get  Search Verse Prefix and Position of First Verse
$readbook = substr($readbible[$i], 0, strpos($readbible[$i],"|"));
$j = 73;
while ($j < $totallines && !strstr($readbible[$j],$readbook . "|" . $chapfrom . "|" . $versefrom . "||")) {
$j++;
}
if ($j == $totallines) {
	echo "$biblequote: There's no such verse! $bookname $chapfrom $versefrom, j = totallines";
	exit;
}
$verseline = $j;

//GET Verses
$versefc = $versefrom;
$versetc = $verseto;

if ($chapfrom == $chapto) {
	$versetc = $verseto;
}
else $versetc = 1000;

if ($qc == 0) $writeincludeverses = fopen('devotionincv.html','w');
else $writeincludeverses = fopen('devotionincv.html','a');

if (sizeof($biblequotearray) > 1) {
	fwrite($writeincludeverses,mb_convert_encoding("<tr><td colspan=2><b>$cbookname $bookname</b></td></tr>",'HTML-ENTITIES', 'UTF-8'));
}


for ($c = $chapfrom; $c <= $chapto; $c++) {

	if ($c > $chapfrom) {
		$versefc = 1;
	}
	if ($c == $chapto) {
		$versetc = $verseto;
	}
	// # is for verses til the end.
	if ($verseto == "#") {
		$versetc = $totallines;
	}
	for ($v = $versefc; $v <= $versetc && strstr($readbible[$verseline],$readbook . "|" . $c . "|" . $v . "|"); $v++) {
		if (strstr($readbible[$verseline],'|*|')) {
			$verseline++;
		}
		$readverse = $readbible[$verseline];
		$readverse = substr($readverse,strpos($readverse, '||')+2);
		fwrite($writeincludeverses, mb_convert_encoding("<tr><td valign=top>". $c . ":" . $v . "</td><td width=494>" . $readverse . "</td></tr>\n", 'HTML-ENTITIES', 'UTF-8'));
		$verseline++;
	}
}

fclose($writeincludeverses);

$biblequote = str_replace("#", $v-1, $biblequote);

if ($qc == 0) $writeqf = fopen('devotionquote.html', 'w');
else {
	$writeqf = fopen('devotionquote.html', 'a');
	fwrite ($writeqf, ", ");
	if (strstr($biblequote,$book)) fwrite ($writeqf, "<br>");
	}
fwrite ($writeqf, mb_convert_encoding(str_replace($book,$cbookname . " " . $bookname, $biblequote),'HTML-ENTITIES','UTF-8'));
fclose($writeqf);
}
}
?>